devel/libpeas - The NetBSD Packages Collection

GObject-based plugins engine

libpeas is a gobject-based plugins engine, and is targetted at
giving every application the chance to assume its own extensibility.
It also has a set of features including, but not limited to:

* multiple extension points
* on demand (lazy) programming language support for C, Python and JS
* simplicity of the API

Build dependencies

pkgtools/x11-links x11/xorgproto x11/xcb-proto pkgtools/cwrappers devel/glib2-tools devel/meson devel/pkgconf

Runtime dependencies

devel/glib2 devel/glib2 devel/gobject-introspection devel/gobject-introspection graphics/hicolor-icon-theme x11/gtk3 devel/glib2 devel/gobject-introspection graphics/hicolor-icon-theme x11/gtk3

Binary packages

OSArchitectureVersion
NetBSD 8.0earmv7hflibpeas-1.26.0nb1.tgz
NetBSD 8.0earmv7hflibpeas-1.26.0nb1.tgz
NetBSD 8.0earmv7hflibpeas-1.26.0nb1.tgz
NetBSD 8.0i386libpeas-1.26.0nb1.tgz
NetBSD 8.0i386libpeas-1.26.0nb1.tgz
NetBSD 8.0i386libpeas-1.26.0nb1.tgz
NetBSD 8.0powerpclibpeas-1.26.0nb1.tgz
NetBSD 8.0powerpclibpeas-1.26.0nb1.tgz
NetBSD 8.0powerpclibpeas-1.26.0nb1.tgz
NetBSD 8.0x86_64libpeas-1.26.0nb1.tgz
NetBSD 8.0x86_64libpeas-1.26.0nb1.tgz
NetBSD 8.0x86_64libpeas-1.26.0nb1.tgz
NetBSD 9.0aarch64libpeas-1.26.0nb1.tgz
NetBSD 9.0aarch64libpeas-1.26.0nb1.tgz
NetBSD 9.0aarch64libpeas-1.26.0nb1.tgz
NetBSD 9.0alphalibpeas-1.26.0nb1.tgz
NetBSD 9.0alphalibpeas-1.26.0nb1.tgz
NetBSD 9.0alphalibpeas-1.26.0nb1.tgz
NetBSD 9.0earmlibpeas-1.26.0nb1.tgz
NetBSD 9.0earmlibpeas-1.26.0nb1.tgz
NetBSD 9.0earmv6hflibpeas-1.26.0nb1.tgz
NetBSD 9.0earmv6hflibpeas-1.26.0nb1.tgz
NetBSD 9.0earmv6hflibpeas-1.26.0nb1.tgz
NetBSD 9.0earmv6hflibpeas-1.26.0nb1.tgz
NetBSD 9.0earmv7hflibpeas-1.26.0nb1.tgz
NetBSD 9.0earmv7hflibpeas-1.26.0nb1.tgz
NetBSD 9.0earmv7hflibpeas-1.26.0nb1.tgz
NetBSD 9.0earmv7hflibpeas-1.26.0nb1.tgz
NetBSD 9.0i386libpeas-1.26.0nb1.tgz
NetBSD 9.0i386libpeas-1.26.0nb1.tgz
NetBSD 9.0i386libpeas-1.26.0nb1.tgz
NetBSD 9.0m68klibpeas-1.26.0nb1.tgz
NetBSD 9.0m68klibpeas-1.26.0nb1.tgz
NetBSD 9.0mips64eblibpeas-1.26.0nb1.tgz
NetBSD 9.0mips64eblibpeas-1.26.0nb1.tgz
NetBSD 9.0mips64eblibpeas-1.26.0nb1.tgz
NetBSD 9.0powerpclibpeas-1.26.0nb1.tgz
NetBSD 9.0powerpclibpeas-1.26.0nb1.tgz
NetBSD 9.0sh3ellibpeas-1.26.0nb1.tgz
NetBSD 9.0sh3ellibpeas-1.26.0nb1.tgz
NetBSD 9.0sparc64libpeas-1.26.0nb1.tgz
NetBSD 9.0sparc64libpeas-1.26.0.tgz
NetBSD 9.0sparc64libpeas-1.26.0nb1.tgz
NetBSD 9.0sparc64libpeas-1.26.0nb1.tgz
NetBSD 9.0sparclibpeas-1.26.0nb1.tgz
NetBSD 9.0sparclibpeas-1.26.0nb1.tgz
NetBSD 9.0sparclibpeas-1.26.0nb1.tgz
NetBSD 9.0x86_64libpeas-1.26.0nb1.tgz
NetBSD 9.0x86_64libpeas-1.26.0nb1.tgz
NetBSD 9.0x86_64libpeas-1.26.0nb1.tgz
NetBSD 9.0x86_64libpeas-1.26.0nb1.tgz
NetBSD 9.0x86_64libpeas-1.26.0nb1.tgz
NetBSD 9.0x86_64libpeas-1.26.0nb1.tgz
NetBSD 9.0x86_64libpeas-1.26.0nb1.tgz

Binary packages can be installed with the high-level tool pkgin (which can be installed with pkg_add) or pkg_add(1) (installed by default). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

(none)

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.